#ifndef XMLNEWS_H
#define XMLNEWS_H

#include "xmlparse.h"
#include "xmlnews_meta.h"
#include "xmlnews_story.h"
#include "xmlnews_table.h"

#ifdef	__cplusplus
extern "C" {
#endif

int read_mxp_cfg (char *stock_delim);
void load_keep_tags (char *meta_keeps, char *story_keeps);
void set_keep_attr (int keep_attr);
void preserve_entities (int preserve_them);
char *xmlnews_to_plain (char *resource_id, char *rdfbuf, int rlen,
						char *xmlbuf, int xlen);

#ifdef	__cplusplus
}
#endif

#endif	/* XMLNEWS_H */
