#ifndef XMLNEWS_STORY_TAGS_H
#define XMLNEWS_STORY_TAGS_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef enum {
	UNKNOWN_STORY_TAG = 0,
	BODY_CONTENT_TAG,
	BODY_END_TAG,
	BYTAG_TAG,
	STORY_DATELINE_TAG,
	DATELINE_LOCATION_TAG,
	DATELINE_STORY_DATE_TAG,
	HEDLINE_TAG,
	HL1_TAG,
	HL2_TAG,
	STORY_TITLE_TAG
} XMLNEWS_STORY_TAG;

typedef struct {
	char name[35];
	XMLNEWS_STORY_TAG type;
} XMLNEWS_STORY_TAG_LIST;


#ifdef	__cplusplus
}
#endif

#endif	/* XMLNEWS_STORY_TAGS_H */
