platform:=$(shell uname)
ifeq ($(platform),Linux)
	DEFS = -Dis_LINUX
else
	SOCKLIB = -lsocket
endif

LIBINC   = -L../lib
INC      = -I../include
LIBS     = -lcomm -lclient
INCD     = ../include
BIN      = ../bin

CC       = gcc $(DEFS)

TARGS = amxviewer

all:		$(TARGS)

clean:
		rm -f *.o
		cd $(BIN) ; rm -f $(TARGS)

amxviewer:	amxviewer.o apputil.o
		$(CC) $(LIBINC) -o $(BIN)/amxviewer amxviewer.o apputil.o \
		$(LIBS) $(SOCKLIB) -lnsl -lxmlparse -ltext -lexpat -lclient

amxviewer.o:	amxviewer.c $(INCD)/apputil.h
		$(CC) -c $(INC) amxviewer.c

apputil.o:	apputil.c $(INCD)/apputil.h
		$(CC) -c $(INC) apputil.c
